Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/Service References/ServerService/service1.wsdl
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/Service References/ServerService/service1.wsdl	(revision 4253)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/Service References/ServerService/service1.wsdl	(revision 4254)
@@ -1,5 +1,5 @@
 ﻿<?xml version="1.0" encoding="utf-8"?>
-<wsdl:definitions xmlns:wsap="http://schemas.xmlsoap.org/ws/2004/08/addressing/policy" xmlns:wsa10="http://www.w3.org/2005/08/addressing" xmlns:tns="http://tempuri.org/" xmlns:msc="http://schemas.microsoft.com/ws/2005/12/wsdl/contract" xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xmlns:wsp="http://schemas.xmlsoap.org/ws/2004/09/policy" xmlns:wsam="http://www.w3.org/2007/05/addressing/metadata" xmlns:soap12="http://schemas.xmlsoap.org/wsdl/soap12/" xmlns:wsa="http://schemas.xmlsoap.org/ws/2004/08/addressing" xmlns:wsaw="http://www.w3.org/2006/05/addressing/wsdl" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:wsu="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd" xmlns:xsd="http://www.w3.org/2001/XMLSchema" name="ClientFacade" targetNamespace="http://tempuri.org/" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
-  <wsp:Policy wsu:Id="NetTcpBinding_IClientFacade_policy">
+<wsdl:definitions xmlns:wsap="http://schemas.xmlsoap.org/ws/2004/08/addressing/policy" xmlns:wsa10="http://www.w3.org/2005/08/addressing" xmlns:tns="http://tempuri.org/" xmlns:msc="http://schemas.microsoft.com/ws/2005/12/wsdl/contract" xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xmlns:wsp="http://schemas.xmlsoap.org/ws/2004/09/policy" xmlns:wsam="http://www.w3.org/2007/05/addressing/metadata" xmlns:soap12="http://schemas.xmlsoap.org/wsdl/soap12/" xmlns:wsa="http://schemas.xmlsoap.org/ws/2004/08/addressing" xmlns:wsaw="http://www.w3.org/2006/05/addressing/wsdl" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:wsu="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd" xmlns:xsd="http://www.w3.org/2001/XMLSchema" name="SlaveFacade" targetNamespace="http://tempuri.org/" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
+  <wsp:Policy wsu:Id="NetTcpBinding_ISlaveFacade_policy">
     <wsp:ExactlyOne>
       <wsp:All>
@@ -26,152 +26,152 @@
     </xsd:schema>
   </wsdl:types>
-  <wsdl:message name="IClientFacade_Login_InputMessage">
+  <wsdl:message name="ISlaveFacade_Login_InputMessage">
     <wsdl:part name="parameters" element="tns:Login" />
   </wsdl:message>
-  <wsdl:message name="IClientFacade_Login_OutputMessage">
+  <wsdl:message name="ISlaveFacade_Login_OutputMessage">
     <wsdl:part name="parameters" element="tns:LoginResponse" />
   </wsdl:message>
-  <wsdl:message name="IClientFacade_ProcessHeartBeat_InputMessage">
+  <wsdl:message name="ISlaveFacade_ProcessHeartBeat_InputMessage">
     <wsdl:part name="parameters" element="tns:ProcessHeartBeat" />
   </wsdl:message>
-  <wsdl:message name="IClientFacade_ProcessHeartBeat_OutputMessage">
+  <wsdl:message name="ISlaveFacade_ProcessHeartBeat_OutputMessage">
     <wsdl:part name="parameters" element="tns:ProcessHeartBeatResponse" />
   </wsdl:message>
-  <wsdl:message name="IClientFacade_SendJob_InputMessage">
-    <wsdl:part name="parameters" element="tns:SendJob" />
-  </wsdl:message>
-  <wsdl:message name="IClientFacade_SendJob_OutputMessage">
-    <wsdl:part name="parameters" element="tns:SendJobResponse" />
-  </wsdl:message>
-  <wsdl:message name="IClientFacade_StoreFinishedJobResult_InputMessage">
+  <wsdl:message name="ISlaveFacade_GetJob_InputMessage">
+    <wsdl:part name="parameters" element="tns:GetJob" />
+  </wsdl:message>
+  <wsdl:message name="ISlaveFacade_GetJob_OutputMessage">
+    <wsdl:part name="parameters" element="tns:GetJobResponse" />
+  </wsdl:message>
+  <wsdl:message name="ISlaveFacade_StoreFinishedJobResult_InputMessage">
     <wsdl:part name="parameters" element="tns:StoreFinishedJobResult" />
   </wsdl:message>
-  <wsdl:message name="IClientFacade_StoreFinishedJobResult_OutputMessage">
+  <wsdl:message name="ISlaveFacade_StoreFinishedJobResult_OutputMessage">
     <wsdl:part name="parameters" element="tns:StoreFinishedJobResultResponse" />
   </wsdl:message>
-  <wsdl:message name="IClientFacade_ProcessSnapshot_InputMessage">
+  <wsdl:message name="ISlaveFacade_ProcessSnapshot_InputMessage">
     <wsdl:part name="parameters" element="tns:ProcessSnapshot" />
   </wsdl:message>
-  <wsdl:message name="IClientFacade_ProcessSnapshot_OutputMessage">
+  <wsdl:message name="ISlaveFacade_ProcessSnapshot_OutputMessage">
     <wsdl:part name="parameters" element="tns:ProcessSnapshotResponse" />
   </wsdl:message>
-  <wsdl:message name="IClientFacade_Logout_InputMessage">
+  <wsdl:message name="ISlaveFacade_Logout_InputMessage">
     <wsdl:part name="parameters" element="tns:Logout" />
   </wsdl:message>
-  <wsdl:message name="IClientFacade_Logout_OutputMessage">
+  <wsdl:message name="ISlaveFacade_Logout_OutputMessage">
     <wsdl:part name="parameters" element="tns:LogoutResponse" />
   </wsdl:message>
-  <wsdl:message name="IClientFacade_IsJobStillNeeded_InputMessage">
+  <wsdl:message name="ISlaveFacade_IsJobStillNeeded_InputMessage">
     <wsdl:part name="parameters" element="tns:IsJobStillNeeded" />
   </wsdl:message>
-  <wsdl:message name="IClientFacade_IsJobStillNeeded_OutputMessage">
+  <wsdl:message name="ISlaveFacade_IsJobStillNeeded_OutputMessage">
     <wsdl:part name="parameters" element="tns:IsJobStillNeededResponse" />
   </wsdl:message>
-  <wsdl:message name="IClientFacade_SendPlugins_InputMessage">
+  <wsdl:message name="ISlaveFacade_SendPlugins_InputMessage">
     <wsdl:part name="parameters" element="tns:SendPlugins" />
   </wsdl:message>
-  <wsdl:message name="IClientFacade_SendPlugins_OutputMessage">
+  <wsdl:message name="ISlaveFacade_SendPlugins_OutputMessage">
     <wsdl:part name="parameters" element="tns:SendPluginsResponse" />
   </wsdl:message>
-  <wsdl:message name="IClientFacade_GetCalendar_InputMessage">
+  <wsdl:message name="ISlaveFacade_GetCalendar_InputMessage">
     <wsdl:part name="parameters" element="tns:GetCalendar" />
   </wsdl:message>
-  <wsdl:message name="IClientFacade_GetCalendar_OutputMessage">
+  <wsdl:message name="ISlaveFacade_GetCalendar_OutputMessage">
     <wsdl:part name="parameters" element="tns:GetCalendarResponse" />
   </wsdl:message>
-  <wsdl:message name="IClientFacade_SetCalendarStatus_InputMessage">
+  <wsdl:message name="ISlaveFacade_SetCalendarStatus_InputMessage">
     <wsdl:part name="parameters" element="tns:SetCalendarStatus" />
   </wsdl:message>
-  <wsdl:message name="IClientFacade_SetCalendarStatus_OutputMessage">
+  <wsdl:message name="ISlaveFacade_SetCalendarStatus_OutputMessage">
     <wsdl:part name="parameters" element="tns:SetCalendarStatusResponse" />
   </wsdl:message>
-  <wsdl:message name="IClientFacade_SendStreamedJob_InputMessage">
+  <wsdl:message name="ISlaveFacade_SendStreamedJob_InputMessage">
     <wsdl:part name="parameters" element="tns:SendStreamedJob" />
   </wsdl:message>
-  <wsdl:message name="IClientFacade_SendStreamedJob_OutputMessage">
+  <wsdl:message name="ISlaveFacade_SendStreamedJob_OutputMessage">
     <wsdl:part name="parameters" element="tns:SendStreamedJobResponse" />
   </wsdl:message>
-  <wsdl:message name="IClientFacade_SendStreamedPlugins_InputMessage">
+  <wsdl:message name="ISlaveFacade_SendStreamedPlugins_InputMessage">
     <wsdl:part name="parameters" element="tns:SendStreamedPlugins" />
   </wsdl:message>
-  <wsdl:message name="IClientFacade_SendStreamedPlugins_OutputMessage">
+  <wsdl:message name="ISlaveFacade_SendStreamedPlugins_OutputMessage">
     <wsdl:part name="parameters" element="tns:SendStreamedPluginsResponse" />
   </wsdl:message>
-  <wsdl:message name="IClientFacade_StoreFinishedJobResultStreamed_InputMessage">
+  <wsdl:message name="ISlaveFacade_StoreFinishedJobResultStreamed_InputMessage">
     <wsdl:part name="parameters" element="tns:StoreFinishedJobResultStreamed" />
   </wsdl:message>
-  <wsdl:message name="IClientFacade_StoreFinishedJobResultStreamed_OutputMessage">
+  <wsdl:message name="ISlaveFacade_StoreFinishedJobResultStreamed_OutputMessage">
     <wsdl:part name="parameters" element="tns:StoreFinishedJobResultStreamedResponse" />
   </wsdl:message>
-  <wsdl:message name="IClientFacade_ProcessSnapshotStreamed_InputMessage">
+  <wsdl:message name="ISlaveFacade_ProcessSnapshotStreamed_InputMessage">
     <wsdl:part name="parameters" element="tns:ProcessSnapshotStreamed" />
   </wsdl:message>
-  <wsdl:message name="IClientFacade_ProcessSnapshotStreamed_OutputMessage">
+  <wsdl:message name="ISlaveFacade_ProcessSnapshotStreamed_OutputMessage">
     <wsdl:part name="parameters" element="tns:ProcessSnapshotStreamedResponse" />
   </wsdl:message>
-  <wsdl:portType name="IClientFacade">
+  <wsdl:portType name="ISlaveFacade">
     <wsdl:operation name="Login">
-      <wsdl:input wsaw:Action="http://tempuri.org/IClientCommunicator/Login" message="tns:IClientFacade_Login_InputMessage" />
-      <wsdl:output wsaw:Action="http://tempuri.org/IClientCommunicator/LoginResponse" message="tns:IClientFacade_Login_OutputMessage" />
+      <wsdl:input wsaw:Action="http://tempuri.org/ISlaveCommunicator/Login" message="tns:ISlaveFacade_Login_InputMessage" />
+      <wsdl:output wsaw:Action="http://tempuri.org/ISlaveCommunicator/LoginResponse" message="tns:ISlaveFacade_Login_OutputMessage" />
     </wsdl:operation>
     <wsdl:operation name="ProcessHeartBeat">
-      <wsdl:input wsaw:Action="http://tempuri.org/IClientCommunicator/ProcessHeartBeat" message="tns:IClientFacade_ProcessHeartBeat_InputMessage" />
-      <wsdl:output wsaw:Action="http://tempuri.org/IClientCommunicator/ProcessHeartBeatResponse" message="tns:IClientFacade_ProcessHeartBeat_OutputMessage" />
-    </wsdl:operation>
-    <wsdl:operation name="SendJob">
-      <wsdl:input wsaw:Action="http://tempuri.org/IClientCommunicator/SendJob" message="tns:IClientFacade_SendJob_InputMessage" />
-      <wsdl:output wsaw:Action="http://tempuri.org/IClientCommunicator/SendJobResponse" message="tns:IClientFacade_SendJob_OutputMessage" />
+      <wsdl:input wsaw:Action="http://tempuri.org/ISlaveCommunicator/ProcessHeartBeat" message="tns:ISlaveFacade_ProcessHeartBeat_InputMessage" />
+      <wsdl:output wsaw:Action="http://tempuri.org/ISlaveCommunicator/ProcessHeartBeatResponse" message="tns:ISlaveFacade_ProcessHeartBeat_OutputMessage" />
+    </wsdl:operation>
+    <wsdl:operation name="GetJob">
+      <wsdl:input wsaw:Action="http://tempuri.org/ISlaveCommunicator/GetJob" message="tns:ISlaveFacade_GetJob_InputMessage" />
+      <wsdl:output wsaw:Action="http://tempuri.org/ISlaveCommunicator/GetJobResponse" message="tns:ISlaveFacade_GetJob_OutputMessage" />
     </wsdl:operation>
     <wsdl:operation name="StoreFinishedJobResult">
-      <wsdl:input wsaw:Action="http://tempuri.org/IClientCommunicator/StoreFinishedJobResult" message="tns:IClientFacade_StoreFinishedJobResult_InputMessage" />
-      <wsdl:output wsaw:Action="http://tempuri.org/IClientCommunicator/StoreFinishedJobResultResponse" message="tns:IClientFacade_StoreFinishedJobResult_OutputMessage" />
+      <wsdl:input wsaw:Action="http://tempuri.org/ISlaveCommunicator/StoreFinishedJobResult" message="tns:ISlaveFacade_StoreFinishedJobResult_InputMessage" />
+      <wsdl:output wsaw:Action="http://tempuri.org/ISlaveCommunicator/StoreFinishedJobResultResponse" message="tns:ISlaveFacade_StoreFinishedJobResult_OutputMessage" />
     </wsdl:operation>
     <wsdl:operation name="ProcessSnapshot">
-      <wsdl:input wsaw:Action="http://tempuri.org/IClientCommunicator/ProcessSnapshot" message="tns:IClientFacade_ProcessSnapshot_InputMessage" />
-      <wsdl:output wsaw:Action="http://tempuri.org/IClientCommunicator/ProcessSnapshotResponse" message="tns:IClientFacade_ProcessSnapshot_OutputMessage" />
+      <wsdl:input wsaw:Action="http://tempuri.org/ISlaveCommunicator/ProcessSnapshot" message="tns:ISlaveFacade_ProcessSnapshot_InputMessage" />
+      <wsdl:output wsaw:Action="http://tempuri.org/ISlaveCommunicator/ProcessSnapshotResponse" message="tns:ISlaveFacade_ProcessSnapshot_OutputMessage" />
     </wsdl:operation>
     <wsdl:operation name="Logout">
-      <wsdl:input wsaw:Action="http://tempuri.org/IClientCommunicator/Logout" message="tns:IClientFacade_Logout_InputMessage" />
-      <wsdl:output wsaw:Action="http://tempuri.org/IClientCommunicator/LogoutResponse" message="tns:IClientFacade_Logout_OutputMessage" />
+      <wsdl:input wsaw:Action="http://tempuri.org/ISlaveCommunicator/Logout" message="tns:ISlaveFacade_Logout_InputMessage" />
+      <wsdl:output wsaw:Action="http://tempuri.org/ISlaveCommunicator/LogoutResponse" message="tns:ISlaveFacade_Logout_OutputMessage" />
     </wsdl:operation>
     <wsdl:operation name="IsJobStillNeeded">
-      <wsdl:input wsaw:Action="http://tempuri.org/IClientCommunicator/IsJobStillNeeded" message="tns:IClientFacade_IsJobStillNeeded_InputMessage" />
-      <wsdl:output wsaw:Action="http://tempuri.org/IClientCommunicator/IsJobStillNeededResponse" message="tns:IClientFacade_IsJobStillNeeded_OutputMessage" />
+      <wsdl:input wsaw:Action="http://tempuri.org/ISlaveCommunicator/IsJobStillNeeded" message="tns:ISlaveFacade_IsJobStillNeeded_InputMessage" />
+      <wsdl:output wsaw:Action="http://tempuri.org/ISlaveCommunicator/IsJobStillNeededResponse" message="tns:ISlaveFacade_IsJobStillNeeded_OutputMessage" />
     </wsdl:operation>
     <wsdl:operation name="SendPlugins">
-      <wsdl:input wsaw:Action="http://tempuri.org/IClientCommunicator/SendPlugins" message="tns:IClientFacade_SendPlugins_InputMessage" />
-      <wsdl:output wsaw:Action="http://tempuri.org/IClientCommunicator/SendPluginsResponse" message="tns:IClientFacade_SendPlugins_OutputMessage" />
+      <wsdl:input wsaw:Action="http://tempuri.org/ISlaveCommunicator/SendPlugins" message="tns:ISlaveFacade_SendPlugins_InputMessage" />
+      <wsdl:output wsaw:Action="http://tempuri.org/ISlaveCommunicator/SendPluginsResponse" message="tns:ISlaveFacade_SendPlugins_OutputMessage" />
     </wsdl:operation>
     <wsdl:operation name="GetCalendar">
-      <wsdl:input wsaw:Action="http://tempuri.org/IClientCommunicator/GetCalendar" message="tns:IClientFacade_GetCalendar_InputMessage" />
-      <wsdl:output wsaw:Action="http://tempuri.org/IClientCommunicator/GetCalendarResponse" message="tns:IClientFacade_GetCalendar_OutputMessage" />
+      <wsdl:input wsaw:Action="http://tempuri.org/ISlaveCommunicator/GetCalendar" message="tns:ISlaveFacade_GetCalendar_InputMessage" />
+      <wsdl:output wsaw:Action="http://tempuri.org/ISlaveCommunicator/GetCalendarResponse" message="tns:ISlaveFacade_GetCalendar_OutputMessage" />
     </wsdl:operation>
     <wsdl:operation name="SetCalendarStatus">
-      <wsdl:input wsaw:Action="http://tempuri.org/IClientCommunicator/SetCalendarStatus" message="tns:IClientFacade_SetCalendarStatus_InputMessage" />
-      <wsdl:output wsaw:Action="http://tempuri.org/IClientCommunicator/SetCalendarStatusResponse" message="tns:IClientFacade_SetCalendarStatus_OutputMessage" />
+      <wsdl:input wsaw:Action="http://tempuri.org/ISlaveCommunicator/SetCalendarStatus" message="tns:ISlaveFacade_SetCalendarStatus_InputMessage" />
+      <wsdl:output wsaw:Action="http://tempuri.org/ISlaveCommunicator/SetCalendarStatusResponse" message="tns:ISlaveFacade_SetCalendarStatus_OutputMessage" />
     </wsdl:operation>
     <wsdl:operation name="SendStreamedJob">
-      <wsdl:input wsaw:Action="http://tempuri.org/IClientFacade/SendStreamedJob" message="tns:IClientFacade_SendStreamedJob_InputMessage" />
-      <wsdl:output wsaw:Action="http://tempuri.org/IClientFacade/SendStreamedJobResponse" message="tns:IClientFacade_SendStreamedJob_OutputMessage" />
+      <wsdl:input wsaw:Action="http://tempuri.org/ISlaveFacade/SendStreamedJob" message="tns:ISlaveFacade_SendStreamedJob_InputMessage" />
+      <wsdl:output wsaw:Action="http://tempuri.org/ISlaveFacade/SendStreamedJobResponse" message="tns:ISlaveFacade_SendStreamedJob_OutputMessage" />
     </wsdl:operation>
     <wsdl:operation name="SendStreamedPlugins">
-      <wsdl:input wsaw:Action="http://tempuri.org/IClientFacade/SendStreamedPlugins" message="tns:IClientFacade_SendStreamedPlugins_InputMessage" />
-      <wsdl:output wsaw:Action="http://tempuri.org/IClientFacade/SendStreamedPluginsResponse" message="tns:IClientFacade_SendStreamedPlugins_OutputMessage" />
+      <wsdl:input wsaw:Action="http://tempuri.org/ISlaveFacade/SendStreamedPlugins" message="tns:ISlaveFacade_SendStreamedPlugins_InputMessage" />
+      <wsdl:output wsaw:Action="http://tempuri.org/ISlaveFacade/SendStreamedPluginsResponse" message="tns:ISlaveFacade_SendStreamedPlugins_OutputMessage" />
     </wsdl:operation>
     <wsdl:operation name="StoreFinishedJobResultStreamed">
-      <wsdl:input wsaw:Action="http://tempuri.org/IClientFacade/StoreFinishedJobResultStreamed" message="tns:IClientFacade_StoreFinishedJobResultStreamed_InputMessage" />
-      <wsdl:output wsaw:Action="http://tempuri.org/IClientFacade/StoreFinishedJobResultStreamedResponse" message="tns:IClientFacade_StoreFinishedJobResultStreamed_OutputMessage" />
+      <wsdl:input wsaw:Action="http://tempuri.org/ISlaveFacade/StoreFinishedJobResultStreamed" message="tns:ISlaveFacade_StoreFinishedJobResultStreamed_InputMessage" />
+      <wsdl:output wsaw:Action="http://tempuri.org/ISlaveFacade/StoreFinishedJobResultStreamedResponse" message="tns:ISlaveFacade_StoreFinishedJobResultStreamed_OutputMessage" />
     </wsdl:operation>
     <wsdl:operation name="ProcessSnapshotStreamed">
-      <wsdl:input wsaw:Action="http://tempuri.org/IClientFacade/ProcessSnapshotStreamed" message="tns:IClientFacade_ProcessSnapshotStreamed_InputMessage" />
-      <wsdl:output wsaw:Action="http://tempuri.org/IClientFacade/ProcessSnapshotStreamedResponse" message="tns:IClientFacade_ProcessSnapshotStreamed_OutputMessage" />
+      <wsdl:input wsaw:Action="http://tempuri.org/ISlaveFacade/ProcessSnapshotStreamed" message="tns:ISlaveFacade_ProcessSnapshotStreamed_InputMessage" />
+      <wsdl:output wsaw:Action="http://tempuri.org/ISlaveFacade/ProcessSnapshotStreamedResponse" message="tns:ISlaveFacade_ProcessSnapshotStreamed_OutputMessage" />
     </wsdl:operation>
   </wsdl:portType>
-  <wsdl:binding name="NetTcpBinding_IClientFacade" type="tns:IClientFacade">
-    <wsp:PolicyReference URI="#NetTcpBinding_IClientFacade_policy">
+  <wsdl:binding name="NetTcpBinding_ISlaveFacade" type="tns:ISlaveFacade">
+    <wsp:PolicyReference URI="#NetTcpBinding_ISlaveFacade_policy">
     </wsp:PolicyReference>
     <soap12:binding transport="http://schemas.microsoft.com/soap/tcp" />
     <wsdl:operation name="Login">
-      <soap12:operation soapAction="http://tempuri.org/IClientCommunicator/Login" style="document" />
+      <soap12:operation soapAction="http://tempuri.org/ISlaveCommunicator/Login" style="document" />
       <wsdl:input>
         <soap12:body use="literal" />
@@ -182,14 +182,14 @@
     </wsdl:operation>
     <wsdl:operation name="ProcessHeartBeat">
-      <soap12:operation soapAction="http://tempuri.org/IClientCommunicator/ProcessHeartBeat" style="document" />
-      <wsdl:input>
-        <soap12:body use="literal" />
-      </wsdl:input>
-      <wsdl:output>
-        <soap12:body use="literal" />
-      </wsdl:output>
-    </wsdl:operation>
-    <wsdl:operation name="SendJob">
-      <soap12:operation soapAction="http://tempuri.org/IClientCommunicator/SendJob" style="document" />
+      <soap12:operation soapAction="http://tempuri.org/ISlaveCommunicator/ProcessHeartBeat" style="document" />
+      <wsdl:input>
+        <soap12:body use="literal" />
+      </wsdl:input>
+      <wsdl:output>
+        <soap12:body use="literal" />
+      </wsdl:output>
+    </wsdl:operation>
+    <wsdl:operation name="GetJob">
+      <soap12:operation soapAction="http://tempuri.org/ISlaveCommunicator/GetJob" style="document" />
       <wsdl:input>
         <soap12:body use="literal" />
@@ -200,5 +200,5 @@
     </wsdl:operation>
     <wsdl:operation name="StoreFinishedJobResult">
-      <soap12:operation soapAction="http://tempuri.org/IClientCommunicator/StoreFinishedJobResult" style="document" />
+      <soap12:operation soapAction="http://tempuri.org/ISlaveCommunicator/StoreFinishedJobResult" style="document" />
       <wsdl:input>
         <soap12:body use="literal" />
@@ -209,5 +209,5 @@
     </wsdl:operation>
     <wsdl:operation name="ProcessSnapshot">
-      <soap12:operation soapAction="http://tempuri.org/IClientCommunicator/ProcessSnapshot" style="document" />
+      <soap12:operation soapAction="http://tempuri.org/ISlaveCommunicator/ProcessSnapshot" style="document" />
       <wsdl:input>
         <soap12:body use="literal" />
@@ -218,5 +218,5 @@
     </wsdl:operation>
     <wsdl:operation name="Logout">
-      <soap12:operation soapAction="http://tempuri.org/IClientCommunicator/Logout" style="document" />
+      <soap12:operation soapAction="http://tempuri.org/ISlaveCommunicator/Logout" style="document" />
       <wsdl:input>
         <soap12:body use="literal" />
@@ -227,5 +227,5 @@
     </wsdl:operation>
     <wsdl:operation name="IsJobStillNeeded">
-      <soap12:operation soapAction="http://tempuri.org/IClientCommunicator/IsJobStillNeeded" style="document" />
+      <soap12:operation soapAction="http://tempuri.org/ISlaveCommunicator/IsJobStillNeeded" style="document" />
       <wsdl:input>
         <soap12:body use="literal" />
@@ -236,5 +236,5 @@
     </wsdl:operation>
     <wsdl:operation name="SendPlugins">
-      <soap12:operation soapAction="http://tempuri.org/IClientCommunicator/SendPlugins" style="document" />
+      <soap12:operation soapAction="http://tempuri.org/ISlaveCommunicator/SendPlugins" style="document" />
       <wsdl:input>
         <soap12:body use="literal" />
@@ -245,5 +245,5 @@
     </wsdl:operation>
     <wsdl:operation name="GetCalendar">
-      <soap12:operation soapAction="http://tempuri.org/IClientCommunicator/GetCalendar" style="document" />
+      <soap12:operation soapAction="http://tempuri.org/ISlaveCommunicator/GetCalendar" style="document" />
       <wsdl:input>
         <soap12:body use="literal" />
@@ -254,5 +254,5 @@
     </wsdl:operation>
     <wsdl:operation name="SetCalendarStatus">
-      <soap12:operation soapAction="http://tempuri.org/IClientCommunicator/SetCalendarStatus" style="document" />
+      <soap12:operation soapAction="http://tempuri.org/ISlaveCommunicator/SetCalendarStatus" style="document" />
       <wsdl:input>
         <soap12:body use="literal" />
@@ -263,5 +263,5 @@
     </wsdl:operation>
     <wsdl:operation name="SendStreamedJob">
-      <soap12:operation soapAction="http://tempuri.org/IClientFacade/SendStreamedJob" style="document" />
+      <soap12:operation soapAction="http://tempuri.org/ISlaveFacade/SendStreamedJob" style="document" />
       <wsdl:input>
         <soap12:body use="literal" />
@@ -272,5 +272,5 @@
     </wsdl:operation>
     <wsdl:operation name="SendStreamedPlugins">
-      <soap12:operation soapAction="http://tempuri.org/IClientFacade/SendStreamedPlugins" style="document" />
+      <soap12:operation soapAction="http://tempuri.org/ISlaveFacade/SendStreamedPlugins" style="document" />
       <wsdl:input>
         <soap12:body use="literal" />
@@ -281,5 +281,5 @@
     </wsdl:operation>
     <wsdl:operation name="StoreFinishedJobResultStreamed">
-      <soap12:operation soapAction="http://tempuri.org/IClientFacade/StoreFinishedJobResultStreamed" style="document" />
+      <soap12:operation soapAction="http://tempuri.org/ISlaveFacade/StoreFinishedJobResultStreamed" style="document" />
       <wsdl:input>
         <soap12:body use="literal" />
@@ -290,5 +290,5 @@
     </wsdl:operation>
     <wsdl:operation name="ProcessSnapshotStreamed">
-      <soap12:operation soapAction="http://tempuri.org/IClientFacade/ProcessSnapshotStreamed" style="document" />
+      <soap12:operation soapAction="http://tempuri.org/ISlaveFacade/ProcessSnapshotStreamed" style="document" />
       <wsdl:input>
         <soap12:body use="literal" />
@@ -299,9 +299,9 @@
     </wsdl:operation>
   </wsdl:binding>
-  <wsdl:service name="ClientFacade">
-    <wsdl:port name="NetTcpBinding_IClientFacade" binding="tns:NetTcpBinding_IClientFacade">
-      <soap12:address location="net.tcp://10.42.1.153:9000/HiveServer/ClientCommunicator" />
+  <wsdl:service name="SlaveFacade">
+    <wsdl:port name="NetTcpBinding_ISlaveFacade" binding="tns:NetTcpBinding_ISlaveFacade">
+      <soap12:address location="net.tcp://10.42.1.154:9000/HiveServer/ClientCommunicator" />
       <wsa10:EndpointReference>
-        <wsa10:Address>net.tcp://10.42.1.153:9000/HiveServer/ClientCommunicator</wsa10:Address>
+        <wsa10:Address>net.tcp://10.42.1.154:9000/HiveServer/ClientCommunicator</wsa10:Address>
       </wsa10:EndpointReference>
     </wsdl:port>
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/Service References/ServerService/service2.xsd
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/Service References/ServerService/service2.xsd	(revision 4253)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/Service References/ServerService/service2.xsd	(revision 4254)
@@ -29,9 +29,9 @@
     <xs:complexType>
       <xs:sequence>
-        <xs:element xmlns:q4="http://schemas.datacontract.org/2004/07/HeuristicLab.Hive.Contracts" minOccurs="0" name="ProcessHeartBeatResult" nillable="true" type="q4:ResponseHB" />
-      </xs:sequence>
-    </xs:complexType>
-  </xs:element>
-  <xs:element name="SendJob">
+        <xs:element xmlns:q4="http://schemas.datacontract.org/2004/07/HeuristicLab.Hive.Contracts" minOccurs="0" name="ProcessHeartBeatResult" nillable="true" type="q4:ResponseHeartBeat" />
+      </xs:sequence>
+    </xs:complexType>
+  </xs:element>
+  <xs:element name="GetJob">
     <xs:complexType>
       <xs:sequence>
@@ -40,8 +40,8 @@
     </xs:complexType>
   </xs:element>
-  <xs:element name="SendJobResponse">
-    <xs:complexType>
-      <xs:sequence>
-        <xs:element xmlns:q6="http://schemas.datacontract.org/2004/07/HeuristicLab.Hive.Contracts" minOccurs="0" name="SendJobResult" nillable="true" type="q6:ResponseJob" />
+  <xs:element name="GetJobResponse">
+    <xs:complexType>
+      <xs:sequence>
+        <xs:element xmlns:q6="http://schemas.datacontract.org/2004/07/HeuristicLab.Hive.Contracts" minOccurs="0" name="GetJobResult" nillable="true" type="q6:ResponseObjectOfJobDtoZAa7YIsz" />
       </xs:sequence>
     </xs:complexType>
@@ -121,5 +121,5 @@
     <xs:complexType>
       <xs:sequence>
-        <xs:element xmlns:q18="http://schemas.datacontract.org/2004/07/HeuristicLab.Hive.Contracts" minOccurs="0" name="SendPluginsResult" nillable="true" type="q18:ResponsePlugin" />
+        <xs:element xmlns:q18="http://schemas.datacontract.org/2004/07/HeuristicLab.Hive.Contracts" minOccurs="0" name="SendPluginsResult" nillable="true" type="q18:ResponseListOfCachedHivePluginInfoDtoZMwZop09" />
       </xs:sequence>
     </xs:complexType>
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/WcfService.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/WcfService.cs	(revision 4253)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Slave.Communication/3.3/WcfService.cs	(revision 4254)
@@ -66,5 +66,5 @@
     public event EventHandler Connected;
 
-    public ClientFacadeClient proxy = null;
+    public SlaveFacadeClient proxy = null;
 
     /// <summary>
@@ -87,5 +87,5 @@
 
         Logger.Debug("Creating the new connection proxy");
-        proxy = new ClientFacadeClient(
+        proxy = new SlaveFacadeClient(
           HeuristicLab.Hive.Contracts.WcfSettings.GetStreamedBinding(),
           new EndpointAddress("net.tcp://" + ServerIP + ":" + ServerPort + "/HiveServer/ClientCommunicator")
@@ -204,5 +204,5 @@
     /// </summary>
     #region PullJob
-    public event System.EventHandler<SendJobCompletedEventArgs> SendJobCompleted;
+    public event System.EventHandler<GetJobCompletedEventArgs> SendJobCompleted;
     public void SendJobAsync(Guid guid) {
       if (ConnState == NetworkEnum.WcfConnState.Loggedin) {
@@ -223,5 +223,5 @@
           //first deserialize the response
           BinaryFormatter formatter = new BinaryFormatter();
-          ResponseJob response = (ResponseJob)formatter.Deserialize(stream);
+          ResponseObject<JobDto> response = (ResponseObject<JobDto>)formatter.Deserialize(stream);
 
           //second deserialize the BLOB
@@ -236,5 +236,5 @@
           memStream.Close();
 
-          SendJobCompletedEventArgs completedEventArgs = new SendJobCompletedEventArgs(new object[] { response, memStream.GetBuffer() }, e.Error, e.Cancelled, e.UserState);
+          GetJobCompletedEventArgs completedEventArgs = new GetJobCompletedEventArgs(new object[] { response, memStream.GetBuffer() }, e.Error, e.Cancelled, e.UserState);
           SendJobCompleted(sender, completedEventArgs);
         } catch (Exception ex) {
@@ -390,5 +390,5 @@
     }
 
-    public List<HeuristicLab.PluginInfrastructure.CachedHivePluginInfoDto> RequestPlugins(List<HivePluginInfoDto> requestedPlugins) {
+    public IEnumerable<CachedHivePluginInfoDto> RequestPlugins(List<HivePluginInfoDto> requestedPlugins) {
       try {
         Logger.Debug("STARTED: Requesting Plugins for Job");
@@ -396,12 +396,11 @@
         Stream stream = proxy.SendStreamedPlugins(requestedPlugins.ToArray());
         Logger.Debug("ENDED: Getting the stream");
-        BinaryFormatter formatter =
-          new BinaryFormatter();
+        BinaryFormatter formatter = new BinaryFormatter();
         Logger.Debug("STARTED: Deserializing the stream");
-        ResponsePlugin response = (ResponsePlugin)formatter.Deserialize(stream);
+        ResponseList<CachedHivePluginInfoDto> response = (ResponseList<CachedHivePluginInfoDto>)formatter.Deserialize(stream);
         Logger.Debug("ENDED: Deserializing the stream");
         if (stream != null)
           stream.Dispose();
-        return response.Plugins;
+        return response.List;
       } catch (Exception e) {
         HandleNetworkError(e);
